Summary:	Cross-platform support bot based on supybot
Name:		supybot-gribble
Version:	0.83.4.1
Release:	1%{?dist}
License:	BSD and GPLv2 and Python
Group:		Applications/Internet
URL:		http://sourceforge.net/apps/mediawiki/gribble/	
# The source was pulled from upstreams git scm. Use the following
# commands to generate the tarball
# git archive --format=tar --prefix=supybot-gribble-0.83.4.1/ --remote=git://gribble.git.sourceforge.net/gitroot/gribble/gribble 1b74b8ddf6a05f50af68951c874c60c5f1d62109 > supybot-gribble-20110404.tar
Source0:	supybot-gribble-20110404.tar
Patch0:		feedparser.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:	noarch
BuildRequires:	python-devel
Requires:	python-sqlite2
Conflicts:	supybot
Provides:	supybot = %{version}

%description
gribble is an enhanced supybot, with many fixes and updates 
to the original supybot code base. Gribble brings many 
plug-ins to fedora by adding sqlite2 support to many of the
supybot plug-ins. Python-twisted is highly recommended.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"
install -d -m 755 %{buildroot}%{_mandir}/man1/
install -m 644 docs/man/supybot.1 %{buildroot}%{_mandir}/man1/
install -m 644 docs/man/supybot-adduser.1 %{buildroot}%{_mandir}/man1/
install -m 644 docs/man/supybot-botchk.1 %{buildroot}%{_mandir}/man1/
install -m 644 docs/man/supybot-plugin-create.1 %{buildroot}%{_mandir}/man1/
install -m 644 docs/man/supybot-plugin-doc.1 %{buildroot}%{_mandir}/man1/
install -m 644 docs/man/supybot-test.1 %{buildroot}%{_mandir}/man1/
install -m 644 docs/man/supybot-wizard.1 %{buildroot}%{_mandir}/man1/


%clean
rm  -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ACKS ChangeLog LICENSE README RELNOTES
%doc docs/{ADVANCED_PLUGIN_CONFIG,ADVANCED_PLUGIN_TESTING,CAPABILITIES}
%doc docs/{CONFIGURATION,FAQ,GETTING_STARTED,PLUGIN_TUTORIAL,STYLE}
%doc docs/{USING_UTILS,USING_WRAP}
%{python_sitelib}/supybot
%{python_sitelib}/supybot-0.83.4.1_gribble._2011_04_04T16_30_52_0400_-py2.*.egg-info
%{_bindir}/supybot
%{_bindir}/supybot-adduser
%{_bindir}/supybot-botchk
%{_bindir}/supybot-plugin-create
%{_bindir}/supybot-plugin-doc
%{_bindir}/supybot-test
%{_bindir}/supybot-wizard
%{_mandir}/man1/supybot.1*
%{_mandir}/man1/supybot-adduser.1*
%{_mandir}/man1/supybot-botchk.1*
%{_mandir}/man1/supybot-plugin-create.1*
%{_mandir}/man1/supybot-plugin-doc.1*
%{_mandir}/man1/supybot-test.1*
%{_mandir}/man1/supybot-wizard.1*


%changelog
* Mon Apr 04 2011 Dave Riches <dcr226@fedoraproject.org> - 0.83.4.1-1
- Packaged for Fedora


